Summary: A library of functions for manipulating TIFF format image files.
Name: libtiff
Version: 3.4
Release: 6
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.sgi.com/graphics/tiff/tiff-v3.4-tar.gz
Patch0: tiff-v3.4-glibc.patch
Patch1: tiff-v3.4-shlib.patch
Patch2: libtiff-v3.4-arm.patch
Url: http://www-mipl.jpl.nasa.gov/~ndr/tiff/
Buildroot: /var/tmp/libtiff-root
%define LIBVER 3.4

%description
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package devel
Summary: Development tools for programs which will use the libtiff library.
Group: Development/Libraries
Requires: libtiff

%description devel
This package contains the header files and static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

If you need to develop programs which will manipulate TIFF format image
files, you should install this package.  You'll also need to install the
libtiff package.

%prep
%setup -q -n tiff-v3.4
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure --target=linux << EOF
no
$RPM_BUILD_ROOT/usr/bin
$RPM_BUILD_ROOT/usr/lib
$RPM_BUILD_ROOT/usr/include
$RPM_BUILD_ROOT/usr/man
bsd-source-cat
yes
EOF
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
make install
cd libtiff
install -m644 -o root -g root libtiff.so.3.4 $RPM_BUILD_ROOT/usr/lib

ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libtiff.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libtiff.so.%{LIBVER}
/usr/bin/fax2tiff
/usr/bin/fax2ps
/usr/bin/gif2tiff
/usr/bin/pal2rgb
/usr/bin/ppm2tiff
/usr/bin/rgb2ycbcr
/usr/bin/thumbnail
/usr/bin/ras2tiff
/usr/bin/tiff2bw
/usr/bin/tiff2ps
/usr/bin/tiffcmp
/usr/bin/tiffcp
/usr/bin/tiffdither
/usr/bin/tiffdump
/usr/bin/tiffinfo
/usr/bin/tiffmedian
/usr/bin/tiffsplit

%files devel
%doc COPYRIGHT README TODO VERSION html/*
/usr/lib/libtiff.so
/usr/lib/libtiff.a
/usr/include/tiff.h
/usr/include/tiffio.h
/usr/man/man1/*
/usr/man/man3/*

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support

